net.sf.jasperreports.engine.xml

## Class JRXmlDigester

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.commons.digester.Digester
    - - net.sf.jasperreports.engine.xml.JRXmlDigester

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class JRXmlDigester
      extends org.apache.commons.digester.Digester

  Version:
    $Id: JRXmlDigester.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.digester.Digester

      `bodyText, bodyTexts, classLoader, configured, entityResolver, entityValidator, errorHandler, factory, inputSources, JAXP_SCHEMA_LANGUAGE, locator, log, match, matches, namespaceAware, namespaces, params, parser, publicId, reader, root, rules, saxLog, schema, schemaLanguage, schemaLocation, stack, substitutor, useContextClassLoader, validating, W3C_XML_SCHEMA, xincludeAware`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXmlDigester()`
    `JRXmlDigester(javax.xml.parsers.SAXParser parser)`
    `JRXmlDigester(org.xml.sax.XMLReader xmlReader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInternalEntityResource(java.lang.String systemId, java.lang.String resource)` Adds a mapping of an entity system ID to an internal/classloader resource name.
    `void` | `clearLastPopped()` Clears the last popped object.
    `void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
    `java.lang.String` | `getLastNamespacePrefix()`
    `protected java.lang.String` | `getNamespacePrefix(java.lang.String qName)`
    `java.lang.Object` | `lastPopped()` Returns the previously popped object.
    `java.lang.Object` | `pop()`
    `org.xml.sax.InputSource` | `resolveEntity(java.lang.String pubId, java.lang.String systemId)`

    - ### Methods inherited from class org.apache.commons.digester.Digester

      `addBeanPropertySetter, addBeanPropertySetter, addCallMethod, addCallMethod, addCallMethod, addCallMethod, addCallParam, addCallParam, addCallParam, addCallParam, addCallParamPath, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addFactoryCreate, addObjectCreate, addObjectCreate, addObjectCreate, addObjectCreate, addObjectParam, addRule, addRuleSet, addSetNestedProperties, addSetNestedProperties, addSetNestedProperties, addSetNext, addSetNext, addSetProperties, addSetProperties, addSetProperties, addSetProperty, addSetRoot, addSetRoot, addSetTop, addSetTop, characters, cleanup, clear, configure, createInputSourceFromURL, createInputSourceFromURL, createSAXException, createSAXException, createSAXException, endDocument, endPrefixMapping, error, fatalError, findNamespaceURI, getClassLoader, getCount, getCurrentElementName, getCurrentNamespaces, getCustomContentHandler, getDebug, getDocumentLocator, getEntityResolver, getErrorHandler, getFactory, getFeature, getLogger, getMatch, getNamespaceAware, getParser, getProperty, getPublicId, getReader, getRoot, getRuleNamespaceURI, getRules, getSAXLogger, getSchema, getSchemaLanguage, getStackAction, getSubstitutor, getUseContextClassLoader, getValidating, getXIncludeAware, getXMLReader, getXMLSchema, ignorableWhitespace, initialize, isEmpty, log, log, notationDecl, parse, parse, parse, parse, parse, parse, peek, peek, peek, peek, peekParams, peekParams, pop, popParams, processingInstruction, push, push, pushParams, register, register, resetRoot, setClassLoader, setCustomContentHandler, setDebug, setDocumentLocator, setEntityResolver, setErrorHandler, setFeature, setLogger, setNamespaceAware, setProperty, setPublicId, setRuleNamespaceURI, setRules, setSAXLogger, setSchema, setSchemaLanguage, setStackAction, setSubstitutor, setUseContextClassLoader, setValidating, setXIncludeAware, setXMLSchema, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXmlDigester

          public JRXmlDigester()

    - #### JRXmlDigester

          public JRXmlDigester(org.xml.sax.XMLReader xmlReader)

    - #### JRXmlDigester

          public JRXmlDigester(javax.xml.parsers.SAXParser parser)

  - ### Method Detail

    - #### addInternalEntityResource

          public void addInternalEntityResource(java.lang.String systemId,
                                       java.lang.String resource)

      Adds a mapping of an entity system ID to an internal/classloader resource name.

      This mapping is used by `resolveEntity(String, String)` to resolve a system ID to a classloader resource.

      Parameters:
        `systemId` - the system ID
        `resource` - the resource name

    - #### resolveEntity

          public org.xml.sax.InputSource resolveEntity(java.lang.String pubId,
                                              java.lang.String systemId)

      Specified by:
        `resolveEntity` in interface `org.xml.sax.EntityResolver`
      Overrides:
        `resolveEntity` in class `org.apache.commons.digester.Digester`

    - #### endElement

          public void endElement(java.lang.String namespaceURI,
                        java.lang.String localName,
                        java.lang.String qName)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.apache.commons.digester.Digester`
      Throws:
        `org.xml.sax.SAXException`

    - #### getNamespacePrefix

          protected java.lang.String getNamespacePrefix(java.lang.String qName)

    - #### getLastNamespacePrefix

          public java.lang.String getLastNamespacePrefix()

    - #### pop

          public java.lang.Object pop()

      Overrides:
        `pop` in class `org.apache.commons.digester.Digester`

    - #### clearLastPopped

          public void clearLastPopped()

      Clears the last popped object.
      See Also:
        `lastPopped()`

    - #### lastPopped

          public java.lang.Object lastPopped()

      Returns the previously popped object. This method can be used by rules that need to know the object was added and popped to the stack by an inner element.
      Returns:
        the previously popped object

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com